Lavalite package that provides search management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `bixo/search`.

    "bixo/search": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Bixo\Search\Providers\SearchServiceProvider::class,

And also add it to alias

    'Search'  => Bixo\Search\Facades\Search::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Bixo\\SearchTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Bixo\Search\Providers\SearchServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Bixo\Search\Providers\SearchServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Bixo\Search\Providers\SearchServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/search/{modulename}

**User**

    http://path-to-route-folder/user/search/{modulename}

**Public**

    http://path-to-route-folder/searches


### API endpoints

**List**

    http://path-to-route-folder/api/user/search/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/search/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/search/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/search/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/search/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/search/{modulename}/{slug}
    METHOD: GET