<?php

// web routes  for searches
Route::prefix('{guard}/search')->group(function () {
    Route::resource('searches', 'SearchesResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'SearchesResourceController');
            });
            // Public routes for pages
            Route::get('searches/', 'SearchesPublicController@index');
            Route::get('searches/{slug?}', 'SearchesPublicController@show');
        }
    );
}

