<?php

namespace Bixo\Search\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SearchesTransformer extends TransformerAbstract
{
    public function transform(\Bixo\Search\Models\Searches $searches)
    {
        return [
            'id'                => $searches->getRouteKey(),
            'key'               => [
                'public'    => $searches->getPublicKey(),
                'route'     => $searches->getRouteKey(),
            ], 
            'user_id'           => $searches->user_id,
            'module'            => $searches->module,
            'search'            => $searches->search,
            'deleted_at'        => $searches->deleted_at,
            'url'               => [
                'public'    => trans_url('search/'.$searches->getPublicKey()),
                'user'      => guard_url('search/searches/'.$searches->getRouteKey()),
            ], 
            'status'            => trans('app.'.$searches->status),
            'created_at'        => format_date($searches->created_at),
            'updated_at'        => format_date($searches->updated_at),
        ];
    }
}