<?php

namespace Bixo\Search;

use User;

class Search
{
    /**
     * $searches object.
     */
    protected $searches;

    /**
     * Constructor.
     */
    public function __construct(\Bixo\Search\Interfaces\SearchesRepositoryInterface $searches)
    {
        $this->searches = $searches;
    }

    /**
     * Returns count of search.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.searches.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->searches->pushCriteria(new \Litepie\Bixo\Repositories\Criteria\SearchesUserCriteria());
        }

        $searches = $this->searches->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('search::' . $view, compact('searches'))->render();
    }
}
